org.apache.fontbox.ttf

## Class TTFTable

- java.lang.Object
- - org.apache.fontbox.ttf.TTFTable

Direct Known Subclasses:
  CFFTable, CmapTable, DigitalSignatureTable, GlyphSubstitutionTable, GlyphTable, HeaderTable, HorizontalHeaderTable, HorizontalMetricsTable, IndexToLocationTable, KerningTable, MaximumProfileTable, NamingTable, OS2WindowsMetricsTable, OTLTable, PostScriptTable, VerticalHeaderTable, VerticalMetricsTable, VerticalOriginTable

    public class TTFTable
    extends Object

A table in a true type font.

Author:
  Ben Litchfield

### Field Summary

Fields
`protected boolean` `initialized` Indicates if the table is initialized or not.

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getCheckSum()`
`boolean` `getInitialized()` Indicates if the table is already initialized.
`long` `getLength()`
`long` `getOffset()`
`String` `getTag()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### initialized

    protected boolean initialized

Indicates if the table is initialized or not.

### Method Detail

#### getCheckSum

    public long getCheckSum()

Returns:
  Returns the checkSum.

#### getLength

    public long getLength()

Returns:
  Returns the length.

#### getOffset

    public long getOffset()

Returns:
  Returns the offset.

#### getTag

    public String getTag()

Returns:
  Returns the tag.

#### getInitialized

    public boolean getInitialized()

Indicates if the table is already initialized.

Returns:
  true if the table is initialized